MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024795Open CASCADE[OCCT] OCCT:Codingpublic2014-04-03 20:352014-11-11 12:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024795: TKOpenGl - new compilation warnings
DescriptionNew warnings appeared within 0024739.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024739closedapn TKOpenGl - port ray-tracing from OpenCL to GLSL for better integration and portability 

-  Notes
(0028664)
kgv (developer)
2014-04-03 20:40

Please apply patch in branch CR24795.
(0028693)
mkv (tester)
2014-04-04 17:27

Dear kgv,
could you please rebase branch CR24795, there are conflict files.
(0028694)
abv (manager)
2014-04-04 17:40

I have rebased CR24795 and added two more commits -- fix for compiler warning in BOPCol_TBB.hxx, and test case for 0023792. Please test and then integrate without squashing (keeping commits separate).
(0028714)
apn (administrator)
2014-04-07 15:57
edited on: 2014-04-07 16:01

Dear BugMaster,

Branch CR24795 (and products from GIT master) was compiled on MacOS, Linux and Windows platforms and tested.
SHA-1: 13885d4421324dee2283b182b02ac5e6a99046e9

Number of compiler warnings:

occt component :
Linux: 21 (21 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351044788 / 352015388
Total CPU difference: 51928.04000000006 / 50789.11000000014

Testing on Windows:
Total MEMORY difference: 381065816 / 381244252
Total CPU difference: 32835.703125 / 36679.046875

There are no differences in images found by testdiff.


- Related Changesets
occt: master 5cff985a
Timestamp: 2014-04-03 16:39:35
Author: kgv
Committer: apn
Details ] Diff ]
0024795: TKOpenGl - new compilation warnings in OpenGl_Workspace_Raytrace.cxx
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-03 20:35 kgv New Issue
2014-04-03 20:35 kgv Assigned To => kgv
2014-04-03 20:35 kgv Relationship added related to 0024739
2014-04-03 20:40 kgv Note Added: 0028664
2014-04-03 20:40 kgv Assigned To kgv => bugmaster
2014-04-03 20:40 kgv Status new => resolved
2014-04-03 20:40 kgv Status resolved => reviewed
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:27 mkv Note Added: 0028693
2014-04-04 17:28 mkv Assigned To bugmaster => kgv
2014-04-04 17:28 mkv Status reviewed => feedback
2014-04-04 17:40 abv Note Added: 0028694
2014-04-04 17:40 abv Assigned To kgv => mkv
2014-04-04 17:40 abv Status feedback => reviewed
2014-04-04 18:09 mkv Assigned To mkv => apn
2014-04-07 15:57 apn Note Added: 0028714
2014-04-07 15:57 apn Test case number => Not needed
2014-04-07 15:57 apn Assigned To apn => bugmaster
2014-04-07 15:57 apn Status reviewed => tested
2014-04-07 16:01 apn Note Edited: 0028714 View Revisions
2014-04-11 14:43 apn Changeset attached => occt master 5cff985a
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker